質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.04%

railsでrake dbを行うとエラーが出てしまいます。

受付中

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,630

score 18

railsでrake db:のコマンドを実行すると、rake aborted!に続いて、
LoadError、Reason: image not foundのようなエラーが出ます。
どのように対処すれば良いのでしょうか?


$  bundle exec rake db:create
rake aborted!
LoadError: dlopen(/opt/local/lib/ruby2.2/gems/2.2.0/extensions/x86_64-darwin-15/2.2.0/mysql2-0.3.17/mysql2/mysql2.bundle, 9): Library not loaded: libmysqlclient.18.dylib
Referenced from: /opt/local/lib/ruby2.2/gems/2.2.0/extensions/x86_64-darwin-15/2.2.0/mysql2-0.3.17/mysql2/mysql2.bundle
Reason: image not found - /opt/local/lib/ruby2.2/gems/2.2.0/extensions/x86_64-darwin-15/2.2.0/mysql2-0.3.17/mysql2/mysql2.bundle
/Users/abetomoki/rails_june/EU/config/application.rb:7:in <top (required)>' /Users/abetomoki/rails_june/EU/Rakefile:4:in require'
/Users/abetomoki/rails_june/EU/Rakefile:4:in `<top (required)>'
(See full trace by running task with --trace)


  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

0

次のページなどに解決策が書かれています。

http://stackoverflow.com/questions/10557507/rails-mysql-on-osx-library-not-loaded-libmysqlclient-18-dylib

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/07/08 15:54

    ありがとうございます
    vendorの中にbundleがなく、bin/bundleにありました。
    bin/bundleを削除し、bundle installを行うと正常に処理され、
    そのあとにbundle exec rake db:createを実行してみましたが、
    質問文と同じエラーが発生しました。

    キャンセル

  • 2016/07/08 15:54

    通常はvendorの中にbundleがあるものなのでしょうか?

    キャンセル

  • 2016/07/08 17:27

    Railsアプリ/.bundle/configの中のBUNDLE_PATHとBUNDLE_BINがあるかと。
    その設定によって格納先が変わります。

    libmysqlclient.18.dylibが/Applications/XAMPP/xamppfiles/libにあるならば、

    sudo ln -s /Applications/XAMPP/xamppfiles/lib/libmysqlclient.18.dylib /usr/lib/libmysqlclient.18.dylib

    となるのではないでしょうか。存在場所が微妙なところにありますが…。

    キャンセル

0

まずは config/database.yml を編集して sqlite につなぐようにして試してみては?

それで問題がなければ、次は mysql を install してから、 database.yml を変更して mysql 接続にもどします。
mysql を brew でインストールしていれば 、mysql server をスタートさせたあとは問題なくつかえるはずですが ...
(brew info mysql でサーバーのスタート方法はわかります)

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/07/08 10:07

    sqlite3で作成したrailsと、mysqlで作成したrailsがあります。
    sqliteの方はrake dbコマンドが正常通りに動いています。
    しかし、mysqlのrailsファイルで行うとrake dbが使えません。。

    $ mysql.server startでmysqlは起動します。
    起動している状態でも上記のエラーが出ます。。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.04%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る